 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({
    data: {
        goodsData   : '', //详情
        canState    : '', //操作按钮
        express     : '', //物流
        orderNo     : ''  //订单号
    },

    onLoad(options) {
        this.setData({
            orderNo: options.order_no
        })
    },

    onShow() {
        // 获取订单详情
        this.goodsInfo();
    },

    /**
     * 订单详情
    */
    goodsInfo() {
        wx.$api.order.goodsDet(this.data.orderNo).then(res => {
            this.setData({
                goodsData   : res.data,
                canState    : res.data.can,
                express     : res.data.express
            })
        }).catch(err => {})
    },

    /**
     * 复制订单号
    */
    copyUrl(val) {
        wx.setClipboardData({
            data: val.currentTarget.dataset.no,
            success: () => {
                wx.showToast({
                    title: "订单编号复制成功",
                    icon : "none"
                })
            }
        })
    },

    /**
     * 支付订单
    */
    payClick() {
        let payData = {
            order_id    : this.data.goodsData.order_id,
            order_no    : this.data.goodsData.order_no,
            order_type  : this.data.goodsData.order_type
        }
        wx.navigateTo({
            url: '/pages/pay/index?params=' + encodeURIComponent(JSON.stringify(payData))
        })
    },

    /**
     * 订单签收
    */
    signClick(e) {
        wx.showModal({
            title   : '提示',
            content : '是否签收',
            success : res=> {
                if (res.confirm) {
                    wx.$api.order.goodsSign(this.data.goodsData.order_no).then(res => {
                        wx.showToast({
                        title:'签收成功',
                        icon:'none'
                        })
                        
                        // 获取订单详情
                        this.goodsInfo();
                    }).catch(err => {})
                }
            }
        })
    },

    /**
     * 取消订单
    */
    cancelClick(e) {
        wx.showModal({
            title   : '提示',
            content : '是否取消订单',
            success : res=> {
                if (res.confirm) {
                    wx.$api.order.goodsCancel(this.data.goodsData.order_no).then(res => {
                        wx.showToast({
                            title:'取消成功',
                            icon:'none'
                        })
                        
                        // 回到列表
                        wx.navigateBack(1)
                    }).catch(err => {})
                }
            }
        })
    },

    /**
     * 复制物流单号
    */
   copyExpress(val) {
        wx.setClipboardData({
            data: val.currentTarget.dataset.no,
            success: () => {
                wx.showToast({
                    title: "物流单号复制成功",
                    icon : "none"
                })
            }
        })
    },

    // 查看物流
    h5url() {
        wx.navigateTo({
            url:  "/pages/order/logistic/logistic?orderno=" + this.data.goodsData.order_no
        })
    }
})
